#
# Conditional build:
%bcond_with	doc	# API documentation (TODO)
%bcond_without	tests	# unit tests

Summary:	Runtime typing introspection tools
Summary(pl.UTF-8):	Narzędzia do obserwacji typów w trakcie działania
Name:		python3-typing_inspection
Version:	0.4.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/typing-inspection/
Source0:	https://files.pythonhosted.org/packages/source/t/typing-inspection/typing_inspection-%{version}.tar.gz
# Source0-md5:	d451e03d8eac368f7af674f95db586f0
URL:		https://pypi.org/project/typing-inspection/
BuildRequires:	python3-build
BuildRequires:	python3-hatchling >= 1.27.0
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.9
%if %{with tests}
BuildRequires:	python3-pytest >= 8.3.4
BuildRequires:	python3-pytest-cov >= 6.0.0
BuildRequires:	python3-typing_extensions >= 4.12.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	python3-mike >= 2.1.3
BuildRequires:	python3-mkdocs
BuildRequires:	python3-mkdocs-material >= 9.6.4
# expand for extras from mkdocstrings[python]
BuildRequires:	python3-mkdocstrings >= 0.28.0
%endif
Requires:	python3-modules >= 1:3.9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
typing_inspection provides tools to inspect type annotations at
runtime.

%description -l pl.UTF-8
typing_inspection dostarcza narzędzia pozwalające badać adnotacje
dotyczące typów w trakcie działania kodu.

%package apidocs
Summary:	API documentation for Python typing_inspection module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona typing_inspection
Group:		Documentation

%description apidocs
API documentation for Python typing_inspection module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona typing_inspection.

%prep
%setup -q -n typing_inspection-%{version}

%build
%py3_build_pyproject

%if %{with tests}
#%{__python3} -m zipfile -e build-3/*.whl build-3-test
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
mkdocs build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.md LICENSE README.md
%{py3_sitescriptdir}/typing_inspection
%{py3_sitescriptdir}/typing_inspection-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/...
%endif
%changelog
* Fri Jul 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-typing_inspection.git;a=log;h=master

* Fri Jul 11 2025 Jakub Bogusz <qboosh@pld-linux.org> da87f65
- new

